List a company's headcount over time

View as Markdown

Returns employee-count time series for the entity at this address. Results are sorted newest first. This endpoint does not support custom sorting.

Path parameters

entityIdstringRequiredformat: "uuid"

Entity unique identifier (UUID)

Query parameters

pageintegerOptionalDefaults to 0

Zero-based page index (0..N)

sizeintegerOptionalDefaults to 25

The size of the page to be returned; maximum 500.

Response headers

X-RateLimit-Limitinteger

Requests allowed per client IP in the current rate-limit window.

X-RateLimit-Remaininginteger

Requests left before the tightest applicable rate-limit bucket rejects.

X-RateLimit-Resetinteger

Seconds until the exhausted rate-limit bucket admits another request; 0 when none is exhausted.

Response

OK
contentlist of objectsOptional
emptybooleanOptional
firstbooleanOptional
lastbooleanOptional
numberintegerOptional
numberOfElementsintegerOptional
pageableobjectOptional
sizeintegerOptional
sortobjectOptional
totalElementslongOptional
totalPagesintegerOptional

Errors

400
Bad Request Error
404
Not Found Error
406
Not Acceptable Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error